package bt.spp.printing;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new anywheresoftware.b4a.ShellBA(this.getApplicationContext(), null, null, "bt.spp.printing", "bt.spp.printing.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(processBA, wl, true))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "bt.spp.printing", "bt.spp.printing.main");
        anywheresoftware.b4a.keywords.Common.ToastMessageShow("This application was developed with B4A trial version and should not be distributed.", true);
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "bt.spp.printing.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeydown", this, new Object[] {keyCode, event}))
            return true;
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeyup", this, new Object[] {keyCode, event}))
            return true;
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}
    public void onRequestPermissionsResult(int requestCode,
        String permissions[], int[] grantResults) {
        Object[] o;
        if (permissions.length > 0)
            o = new Object[] {permissions[0], grantResults[0] == 0};
        else
            o = new Object[] {"", false};
        processBA.raiseEventFromDifferentThread(null,null, 0, "activity_permissionresult", true, o);
            
    }



public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        b4a.example.dateutils._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}
public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}

private static BA killProgramHelper(BA ba) {
    if (ba == null)
        return null;
    anywheresoftware.b4a.BA.SharedProcessBA sharedProcessBA = ba.sharedProcessBA;
    if (sharedProcessBA == null || sharedProcessBA.activityBA == null)
        return null;
    return sharedProcessBA.activityBA.get();
}
public static void killProgram() {
     {
            Activity __a = null;
            if (main.previousOne != null) {
				__a = main.previousOne.get();
			}
            else {
                BA ba = killProgramHelper(main.mostCurrent == null ? null : main.mostCurrent.processBA);
                if (ba != null) __a = ba.activity;
            }
            if (__a != null)
				__a.finish();}

}
public anywheresoftware.b4a.keywords.Common __c = null;
public static String _printbuffer = "";
public static anywheresoftware.b4a.objects.Serial.BluetoothAdmin _btadmin = null;
public static anywheresoftware.b4a.objects.Serial _cmp20 = null;
public static anywheresoftware.b4a.objects.streams.File.TextWriterWrapper _printer = null;
public static String _fesc = "";
public static int _f10 = 0;
public static int _f12 = 0;
public static int _fcompri = 0;
public static int _fbold = 0;
public static int _fancho = 0;
public static int _falto = 0;
public static int _fcurs = 0;
public static int _fsubraya = 0;
public anywheresoftware.b4a.randomaccessfile.AsyncStreams _astream = null;
public anywheresoftware.b4a.objects.ButtonWrapper _botescpos = null;
public anywheresoftware.b4a.objects.ButtonWrapper _botsend = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext1 = null;
public b4a.example.dateutils _dateutils = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "activity_create"))
	return (String) Debug.delegate(mostCurrent.activityBA, "activity_create", new Object[] {_firsttime});
RDebugUtils.currentLine=131072;
 //BA.debugLineNum = 131072;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
RDebugUtils.currentLine=131073;
 //BA.debugLineNum = 131073;BA.debugLine="fEsc = Chr(27) & \"!\"";
_fesc = BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (27)))+"!";
RDebugUtils.currentLine=131074;
 //BA.debugLineNum = 131074;BA.debugLine="f10 = 0 ' 10cpp";
_f10 = (int) (0);
RDebugUtils.currentLine=131075;
 //BA.debugLineNum = 131075;BA.debugLine="f12 = 1 ' 10cpp";
_f12 = (int) (1);
RDebugUtils.currentLine=131076;
 //BA.debugLineNum = 131076;BA.debugLine="fCompri = 4";
_fcompri = (int) (4);
RDebugUtils.currentLine=131077;
 //BA.debugLineNum = 131077;BA.debugLine="fBold = 8";
_fbold = (int) (8);
RDebugUtils.currentLine=131078;
 //BA.debugLineNum = 131078;BA.debugLine="fAlto = 16";
_falto = (int) (16);
RDebugUtils.currentLine=131079;
 //BA.debugLineNum = 131079;BA.debugLine="fAncho = 32";
_fancho = (int) (32);
RDebugUtils.currentLine=131080;
 //BA.debugLineNum = 131080;BA.debugLine="fCurs = 64";
_fcurs = (int) (64);
RDebugUtils.currentLine=131081;
 //BA.debugLineNum = 131081;BA.debugLine="fsubraya = 128";
_fsubraya = (int) (128);
RDebugUtils.currentLine=131083;
 //BA.debugLineNum = 131083;BA.debugLine="Activity.LoadLayout(\"interface1\")";
mostCurrent._activity.LoadLayout("interface1",mostCurrent.activityBA);
RDebugUtils.currentLine=131085;
 //BA.debugLineNum = 131085;BA.debugLine="If FirstTime Then";
if (_firsttime) { 
RDebugUtils.currentLine=131086;
 //BA.debugLineNum = 131086;BA.debugLine="btAdmin.Initialize(\"BlueTeeth\")";
_btadmin.Initialize(processBA,"BlueTeeth");
RDebugUtils.currentLine=131087;
 //BA.debugLineNum = 131087;BA.debugLine="cmp20.Initialize(\"Printer\")";
_cmp20.Initialize("Printer");
 };
RDebugUtils.currentLine=131090;
 //BA.debugLineNum = 131090;BA.debugLine="StartPrinter";
_startprinter();
RDebugUtils.currentLine=131091;
 //BA.debugLineNum = 131091;BA.debugLine="End Sub";
return "";
}
public static String  _startprinter() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "startprinter"))
	return (String) Debug.delegate(mostCurrent.activityBA, "startprinter", null);
anywheresoftware.b4a.objects.collections.Map _paireddevices = null;
anywheresoftware.b4a.objects.collections.List _l = null;
int _res = 0;
int _i = 0;
RDebugUtils.currentLine=917504;
 //BA.debugLineNum = 917504;BA.debugLine="Sub StartPrinter";
RDebugUtils.currentLine=917505;
 //BA.debugLineNum = 917505;BA.debugLine="Dim PairedDevices As Map";
_paireddevices = new anywheresoftware.b4a.objects.collections.Map();
RDebugUtils.currentLine=917506;
 //BA.debugLineNum = 917506;BA.debugLine="Dim L As List";
_l = new anywheresoftware.b4a.objects.collections.List();
RDebugUtils.currentLine=917507;
 //BA.debugLineNum = 917507;BA.debugLine="Dim Res As Int";
_res = 0;
RDebugUtils.currentLine=917509;
 //BA.debugLineNum = 917509;BA.debugLine="ToastMessageShow(\"Printing.....\",True)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("Printing.....",anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=917510;
 //BA.debugLineNum = 917510;BA.debugLine="BotSend.Enabled = False";
mostCurrent._botsend.setEnabled(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=917512;
 //BA.debugLineNum = 917512;BA.debugLine="PairedDevices.Initialize";
_paireddevices.Initialize();
RDebugUtils.currentLine=917515;
 //BA.debugLineNum = 917515;BA.debugLine="Try";
try {RDebugUtils.currentLine=917516;
 //BA.debugLineNum = 917516;BA.debugLine="PairedDevices = cmp20.GetPairedDevices";
_paireddevices = _cmp20.GetPairedDevices();
 } 
       catch (Exception e10) {
			processBA.setLastException(e10);RDebugUtils.currentLine=917518;
 //BA.debugLineNum = 917518;BA.debugLine="Msgbox(\"Getting Paired Devices\",\"Printer Error\")";
anywheresoftware.b4a.keywords.Common.Msgbox("Getting Paired Devices","Printer Error",mostCurrent.activityBA);
RDebugUtils.currentLine=917519;
 //BA.debugLineNum = 917519;BA.debugLine="printer.Close";
_printer.Close();
RDebugUtils.currentLine=917520;
 //BA.debugLineNum = 917520;BA.debugLine="cmp20.Disconnect";
_cmp20.Disconnect();
 };
RDebugUtils.currentLine=917528;
 //BA.debugLineNum = 917528;BA.debugLine="Select PairedDevices.Size";
switch (BA.switchObjectToInt(_paireddevices.getSize(),(int) (0),(int) (1))) {
case 0: {
RDebugUtils.currentLine=917530;
 //BA.debugLineNum = 917530;BA.debugLine="Msgbox(\"Error connección a Impresora - No se en";
anywheresoftware.b4a.keywords.Common.Msgbox("Error connección a Impresora - No se encontro impresora","",mostCurrent.activityBA);
 break; }
case 1: {
RDebugUtils.currentLine=917533;
 //BA.debugLineNum = 917533;BA.debugLine="Log(\"GetKeyAt:\"&PairedDevices.GetKeyAt(0))";
anywheresoftware.b4a.keywords.Common.Log("GetKeyAt:"+BA.ObjectToString(_paireddevices.GetKeyAt((int) (0))));
RDebugUtils.currentLine=917535;
 //BA.debugLineNum = 917535;BA.debugLine="Try";
try {RDebugUtils.currentLine=917536;
 //BA.debugLineNum = 917536;BA.debugLine="cmp20.ConnectInsecure(btAdmin,PairedDevices.Ge";
_cmp20.ConnectInsecure(processBA,_btadmin,BA.ObjectToString(_paireddevices.Get(_paireddevices.GetKeyAt((int) (0)))),(int) (1));
RDebugUtils.currentLine=917537;
 //BA.debugLineNum = 917537;BA.debugLine="Log(PairedDevices.Get(PairedDevices.GetKeyAt(0";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(_paireddevices.Get(_paireddevices.GetKeyAt((int) (0)))));
 } 
       catch (Exception e23) {
			processBA.setLastException(e23);RDebugUtils.currentLine=917539;
 //BA.debugLineNum = 917539;BA.debugLine="Msgbox(\"Connecting\",\"Printer Error\")";
anywheresoftware.b4a.keywords.Common.Msgbox("Connecting","Printer Error",mostCurrent.activityBA);
RDebugUtils.currentLine=917540;
 //BA.debugLineNum = 917540;BA.debugLine="printer.Close";
_printer.Close();
RDebugUtils.currentLine=917541;
 //BA.debugLineNum = 917541;BA.debugLine="cmp20.Disconnect";
_cmp20.Disconnect();
 };
 break; }
default: {
RDebugUtils.currentLine=917544;
 //BA.debugLineNum = 917544;BA.debugLine="L.Initialize";
_l.Initialize();
RDebugUtils.currentLine=917546;
 //BA.debugLineNum = 917546;BA.debugLine="For i = 0 To PairedDevices.Size - 1";
{
final int step29 = 1;
final int limit29 = (int) (_paireddevices.getSize()-1);
for (_i = (int) (0) ; (step29 > 0 && _i <= limit29) || (step29 < 0 && _i >= limit29); _i = ((int)(0 + _i + step29)) ) {
RDebugUtils.currentLine=917547;
 //BA.debugLineNum = 917547;BA.debugLine="L.Add(PairedDevices.GetKeyAt(i))";
_l.Add(_paireddevices.GetKeyAt(_i));
 }
};
RDebugUtils.currentLine=917550;
 //BA.debugLineNum = 917550;BA.debugLine="Res = InputList(L, \"Choose device\", -1)";
_res = anywheresoftware.b4a.keywords.Common.InputList(_l,"Choose device",(int) (-1),mostCurrent.activityBA);
RDebugUtils.currentLine=917551;
 //BA.debugLineNum = 917551;BA.debugLine="Log(Res)";
anywheresoftware.b4a.keywords.Common.Log(BA.NumberToString(_res));
RDebugUtils.currentLine=917552;
 //BA.debugLineNum = 917552;BA.debugLine="If Res <> DialogResponse.CANCEL Then";
if (_res!=anywheresoftware.b4a.keywords.Common.DialogResponse.CANCEL) { 
RDebugUtils.currentLine=917553;
 //BA.debugLineNum = 917553;BA.debugLine="cmp20.Connect(PairedDevices.Get(L.Get(Res)))";
_cmp20.Connect(processBA,BA.ObjectToString(_paireddevices.Get(_l.Get(_res))));
RDebugUtils.currentLine=917554;
 //BA.debugLineNum = 917554;BA.debugLine="Log(PairedDevices.Get(L.Get(Res)))";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(_paireddevices.Get(_l.Get(_res))));
 };
 break; }
}
;
RDebugUtils.currentLine=917557;
 //BA.debugLineNum = 917557;BA.debugLine="End Sub";
return "";
}
public static String  _botescpos_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "botescpos_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "botescpos_click", null);
RDebugUtils.currentLine=3342336;
 //BA.debugLineNum = 3342336;BA.debugLine="Sub BotEscPos_Click";
RDebugUtils.currentLine=3342337;
 //BA.debugLineNum = 3342337;BA.debugLine="EditText1.Text = Chr(27)&Chr(64) _ 		& fEsc&Chr(f";
mostCurrent._edittext1.setText((Object)(BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (27)))+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (64)))+_fesc+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (_f12+_fbold)))+"Hola Mundo1"+_fesc+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (_f12+_fbold+_fcurs)))+"Hola Mundo2"+anywheresoftware.b4a.keywords.Common.CRLF+_fesc+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr(_f12))+"Hola Mundo3"+_fesc+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr(_f10))+"Hola Mundo4"+anywheresoftware.b4a.keywords.Common.CRLF+_fesc+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (_f12+_fcompri)))+"Hola Mundo5"+_fesc+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (_f10+_fcompri)))+"Hola Mundo6"+anywheresoftware.b4a.keywords.Common.CRLF));
RDebugUtils.currentLine=3342341;
 //BA.debugLineNum = 3342341;BA.debugLine="End Sub";
return "";
}
public static String  _botsend_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "botsend_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "botsend_click", null);
RDebugUtils.currentLine=3407872;
 //BA.debugLineNum = 3407872;BA.debugLine="Sub BotSend_Click";
RDebugUtils.currentLine=3407873;
 //BA.debugLineNum = 3407873;BA.debugLine="Log(\"Write AsTream\")";
anywheresoftware.b4a.keywords.Common.Log("Write AsTream");
RDebugUtils.currentLine=3407874;
 //BA.debugLineNum = 3407874;BA.debugLine="If Astream.IsInitialized=False Then";
if (mostCurrent._astream.IsInitialized()==anywheresoftware.b4a.keywords.Common.False) { 
RDebugUtils.currentLine=3407875;
 //BA.debugLineNum = 3407875;BA.debugLine="Log(\"Se inicializo Astream\")";
anywheresoftware.b4a.keywords.Common.Log("Se inicializo Astream");
RDebugUtils.currentLine=3407876;
 //BA.debugLineNum = 3407876;BA.debugLine="Astream.Initialize(cmp20.InputStream,cmp20.O";
mostCurrent._astream.Initialize(processBA,_cmp20.getInputStream(),_cmp20.getOutputStream(),"printerAs");
 }else {
RDebugUtils.currentLine=3407878;
 //BA.debugLineNum = 3407878;BA.debugLine="Log(\"Estaba inicializado Astream\")";
anywheresoftware.b4a.keywords.Common.Log("Estaba inicializado Astream");
 };
RDebugUtils.currentLine=3407880;
 //BA.debugLineNum = 3407880;BA.debugLine="Astream.Write(EditText1.Text.GetBytes(\"UTF8\"))";
mostCurrent._astream.Write(mostCurrent._edittext1.getText().getBytes("UTF8"));
RDebugUtils.currentLine=3407881;
 //BA.debugLineNum = 3407881;BA.debugLine="End Sub'";
return "";
}
public static String  _printer_connected(boolean _success) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "printer_connected"))
	return (String) Debug.delegate(mostCurrent.activityBA, "printer_connected", new Object[] {_success});
RDebugUtils.currentLine=720896;
 //BA.debugLineNum = 720896;BA.debugLine="Sub Printer_Connected (Success As Boolean)";
RDebugUtils.currentLine=720897;
 //BA.debugLineNum = 720897;BA.debugLine="Log(\"Conectado?\")";
anywheresoftware.b4a.keywords.Common.Log("Conectado?");
RDebugUtils.currentLine=720898;
 //BA.debugLineNum = 720898;BA.debugLine="If Success Then";
if (_success) { 
RDebugUtils.currentLine=720899;
 //BA.debugLineNum = 720899;BA.debugLine="BotSend.Enabled = True";
mostCurrent._botsend.setEnabled(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=720900;
 //BA.debugLineNum = 720900;BA.debugLine="Astream.Initialize(cmp20.InputStream,cmp20.Ou";
mostCurrent._astream.Initialize(processBA,_cmp20.getInputStream(),_cmp20.getOutputStream(),"printerAs");
 }else {
RDebugUtils.currentLine=720912;
 //BA.debugLineNum = 720912;BA.debugLine="If Msgbox2(\"\", \"Error Impresora\",\"Reimprimir\",\"C";
if (anywheresoftware.b4a.keywords.Common.Msgbox2("","Error Impresora","Reimprimir","Cancelar","",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null),mostCurrent.activityBA)==anywheresoftware.b4a.keywords.Common.DialogResponse.POSITIVE) { 
RDebugUtils.currentLine=720913;
 //BA.debugLineNum = 720913;BA.debugLine="StartPrinter";
_startprinter();
 };
 };
RDebugUtils.currentLine=720916;
 //BA.debugLineNum = 720916;BA.debugLine="End Sub";
return "";
}
public static String  _printeras_error() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "printeras_error"))
	return (String) Debug.delegate(mostCurrent.activityBA, "printeras_error", null);
RDebugUtils.currentLine=851968;
 //BA.debugLineNum = 851968;BA.debugLine="Sub printerAs_Error";
RDebugUtils.currentLine=851969;
 //BA.debugLineNum = 851969;BA.debugLine="Log(\"AStreams_Error\")";
anywheresoftware.b4a.keywords.Common.Log("AStreams_Error");
RDebugUtils.currentLine=851970;
 //BA.debugLineNum = 851970;BA.debugLine="ToastMessageShow(LastException.Message, True)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(anywheresoftware.b4a.keywords.Common.LastException(mostCurrent.activityBA).getMessage(),anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=851972;
 //BA.debugLineNum = 851972;BA.debugLine="End Sub";
return "";
}
public static String  _printeras_newdata(byte[] _buffer) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "printeras_newdata"))
	return (String) Debug.delegate(mostCurrent.activityBA, "printeras_newdata", new Object[] {_buffer});
String _msg = "";
RDebugUtils.currentLine=786432;
 //BA.debugLineNum = 786432;BA.debugLine="Sub printerAs_NewData (Buffer() As Byte)";
RDebugUtils.currentLine=786433;
 //BA.debugLineNum = 786433;BA.debugLine="Dim msg As String";
_msg = "";
RDebugUtils.currentLine=786434;
 //BA.debugLineNum = 786434;BA.debugLine="msg = BytesToString(Buffer, 0, Buffer.Length,";
_msg = anywheresoftware.b4a.keywords.Common.BytesToString(_buffer,(int) (0),_buffer.length,"UTF8");
RDebugUtils.currentLine=786435;
 //BA.debugLineNum = 786435;BA.debugLine="ToastMessageShow(msg, False)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(_msg,anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=786436;
 //BA.debugLineNum = 786436;BA.debugLine="Log(msg)";
anywheresoftware.b4a.keywords.Common.Log(_msg);
RDebugUtils.currentLine=786437;
 //BA.debugLineNum = 786437;BA.debugLine="End Sub";
return "";
}
}